//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tDA complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tDA"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.iec.ch/61850/2003/SCL}tAbstractDataAttribute"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="ProtNs" type="{http://www.iec.ch/61850/2003/SCL}tProtNs" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attGroup ref="{http://www.iec.ch/61850/2003/SCL}agDATrgOp"/&gt;
 *       &lt;attribute name="fc" use="required" type="{http://www.iec.ch/61850/2003/SCL}tFCEnum" /&gt;
 *       &lt;anyAttribute processContents='lax' namespace='##other'/&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tDA", propOrder = {
    "protNs"
})
public class TDA
    extends TAbstractDataAttribute
{

    @XmlElement(name = "ProtNs")
    protected List<TProtNs> protNs;
    @XmlAttribute(name = "fc", required = true)
    protected String fc;
    @XmlAttribute(name = "dchg")
    protected Boolean dchg;
    @XmlAttribute(name = "qchg")
    protected Boolean qchg;
    @XmlAttribute(name = "dupd")
    protected Boolean dupd;

    /**
     * Gets the value of the protNs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the protNs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getProtNs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TProtNs }
     * 
     * 
     */
    public List<TProtNs> getProtNs() {
        if (protNs == null) {
            protNs = new ArrayList<TProtNs>();
        }
        return this.protNs;
    }

    /**
     * 获取fc属性的值。
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFc() {
        return fc;
    }

    /**
     * 设置fc属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFc(String value) {
        this.fc = value;
    }

    /**
     * 获取dchg属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isDchg() {
        if (dchg == null) {
            return false;
        } else {
            return dchg;
        }
    }

    /**
     * 设置dchg属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setDchg(Boolean value) {
        this.dchg = value;
    }

    /**
     * 获取qchg属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isQchg() {
        if (qchg == null) {
            return false;
        } else {
            return qchg;
        }
    }

    /**
     * 设置qchg属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setQchg(Boolean value) {
        this.qchg = value;
    }

    /**
     * 获取dupd属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isDupd() {
        if (dupd == null) {
            return false;
        } else {
            return dupd;
        }
    }

    /**
     * 设置dupd属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setDupd(Boolean value) {
        this.dupd = value;
    }

}
